# Introduction

## Overview

Our REST APIs can be used to interact with our services programmatically. Our own web application is using the same APIs as documented here.

## First steps

The only thing you need to get started using our REST APIs is a [Service Account](https://gitlab.com/neowit/docs/-/blob/master/gitbook/rest-api/broken-reference/README.md) with sufficient permissions for the task you want to do. While subsequent Service Accounts can be managed through the REST API itself, an initial service account must be set up using the web application as an entry point.

## Start using our REST API

After [Creating service accounts](/service-accounts/creating-service-accounts.md), you may proceed to viewing the full [API reference](/rest-api/api-reference.md) to explore which API endpoints are available.

### Authentication

Our REST API supports two methods of authentication, both using a Service Account for access control.

* **Basic Auth:** Simple username and password authentication; for quick prototyping.
* **OAuth2:** A robust exchange of credentials for an access token used to authenticate.

We **strongly** recommend using the OAuth2 authentication flow when integrating with our REST API and to use Basic Auth for quick experimentation and exploration of our APIs.

Head over to our [Authentication](/rest-api/authentication.md) section to get started.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.neowit.io/rest-api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
